package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorCommon;

/**
 * 重大通用字典 数据层
 */
@Mapper
public interface TDictMajorCommonMapper {

    TDictMajorCommon selectTDictMajorCommonByGuid(String guid);

    List<TDictMajorCommon> selectTDictMajorCommonList(TDictMajorCommon tDictMajorCommon);

    int insertTDictMajorCommon(TDictMajorCommon tDictMajorCommon);

    int updateTDictMajorCommon(TDictMajorCommon tDictMajorCommon);

    int deleteTDictMajorCommonByGuid(String guid);

    int deleteTDictMajorCommonByGuids(String[] guids);
}
